Bug 1491251 (CVE-2017-14224) - CVE-2017-14224 ImageMagick: Heap-based buffer overflow in the WritePCXImage function
Summary: CVE-2017-14224 ImageMagick: Heap-based buffer overflow in the WritePCXImage f...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-14224
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1488981
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-13 11:55 UTC by Andrej Nemec
Modified: 2019-09-29 14:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:25:11 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-13 11:55:13 UTC
A heap-based buffer overflow in WritePCXImage in coders/pcx.c in ImageMagick 7.0.6-8 Q16 allows remote attackers to cause a denial of service via a crafted file.

Upstream issue:

https://github.com/ImageMagick/ImageMagick/issues/733

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/7f2d6fe34d695d3445e2d50937db5541a1b76bde

Comment 1 Andrej Nemec 2017-09-13 12:38:58 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1488981]


Note You need to log in before you can comment on or make changes to this bug.